curl -X GET https://qstash.upstash.io/v1/events \
-H "Authorization: Bearer <token>"
{
"cursor": "1686652644442-12",
"events": [
{
"id": "12345"
"time": "1686652644442",
"messageId": "msg_123",
"nextDeliveryTime": "1691172945",
"state": "delivered",
"taskId": "98765",
"time": "1691170945"
"url": "https://example.com",
}
]
}
Events
List Events
This endpoint returns a list of all recent events.
GET
/
v1
/
events
curl -X GET https://qstash.upstash.io/v1/events \
-H "Authorization: Bearer <token>"
{
"cursor": "1686652644442-12",
"events": [
{
"id": "12345"
"time": "1686652644442",
"messageId": "msg_123",
"nextDeliveryTime": "1691172945",
"state": "delivered",
"taskId": "98765",
"time": "1691170945"
"url": "https://example.com",
}
]
}
Response
string
The cursor to use for pagination, if empty, there are no more pages.
Array<Event>
required
Show Event
Show Event
string
only set if status is error
string
required
The id of the event.
string
required
The associated message id
int
The next scheduled time of the message
string
required
The state of the message at this point in time
string
required
The associated task id
int
required
Timestamp of this event in unix time (milliseconds)
string
The destination url, this is experimental and might be removed in the future
curl -X GET https://qstash.upstash.io/v1/events \
-H "Authorization: Bearer <token>"
{
"cursor": "1686652644442-12",
"events": [
{
"id": "12345"
"time": "1686652644442",
"messageId": "msg_123",
"nextDeliveryTime": "1691172945",
"state": "delivered",
"taskId": "98765",
"time": "1691170945"
"url": "https://example.com",
}
]
}
Was this page helpful?
⌘I